MeasurementMetadataSummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.MeasurementMetadataSummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class MeasurementMetadataSummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MeasurementMetadataSummary

All Implemented Interfaces:
  java.io.Serializable

    public class MeasurementMetadataSummary

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`MeasurementMetadataSummary(Measurement mm, MetricValue mv, AppdefResourceValue resource)`

Method Summary
`java.lang.Boolean` | `getEnabled()`
`java.lang.Long` | `getInterval()`
`java.lang.Double` | `getLastValue()`
`java.lang.Long` | `getLastValueTimestamp()`
`java.lang.Double` | `getMaxExpectedValue()`
`java.lang.Integer` | `getMeasurementId()`
`MeasurementTemplate` | `getMeasurementTemplate()`
`java.lang.Double` | `getMinExpectedValue()`
`java.lang.Long` | `getMtime()`
`AppdefResourceValue` | `getResource()`
`void` | `setEnabled(java.lang.Boolean enabled)` Sets the enabled.
`void` | `setInterval(java.lang.Long interval)` Sets the interval.
`void` | `setLastValue(java.lang.Double lastValue)` Sets the lastValue.
`void` | `setLastValueTimestamp(java.lang.Long lastValueTimestamp)` Sets the lastValueTimestamp.
`void` | `setMaxExpectedValue(java.lang.Double maxExpectedValue)` Sets the maxExpectedValue.
`void` | `setMeasurementId(java.lang.Integer measurementId)` Sets the measurementId.
`void` | `setMeasurementTemplate(MeasurementTemplate mtv)` Sets the MeasurementTemplate.
`void` | `setMinExpectedValue(java.lang.Double minExpectedValue)` Sets the minExpectedValue.
`void` | `setMtime(java.lang.Long mtime)` Sets the mtime.
`void` | `setResource(AppdefResourceValue resource)` Sets the resource.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementMetadataSummary

    public MeasurementMetadataSummary(Measurement mm,
                                      MetricValue mv,
                                      AppdefResourceValue resource)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEnabled

    public java.lang.Boolean getEnabled()

  Returns:
    Boolean

### getInterval

    public java.lang.Long getInterval()

  Returns:
    Long

### getLastValue

    public java.lang.Double getLastValue()

  Returns:
    Double

### getLastValueTimestamp

    public java.lang.Long getLastValueTimestamp()

  Returns:
    Long

### getMaxExpectedValue

    public java.lang.Double getMaxExpectedValue()

  Returns:
    Double

### getMeasurementId

    public java.lang.Integer getMeasurementId()

  Returns:
    Integer

### getMinExpectedValue

    public java.lang.Double getMinExpectedValue()

  Returns:
    Double

### getMtime

    public java.lang.Long getMtime()

  Returns:
    Long

### getMeasurementTemplate

    public MeasurementTemplate getMeasurementTemplate()

  Returns:
    MeasurementTemplateValue

### getResource

    public AppdefResourceValue getResource()

  Returns:
    AppdefResourceValue

### setEnabled

    public void setEnabled(java.lang.Boolean enabled)

  Sets the enabled.

  Parameters:
    `enabled` - The enabled to set

### setInterval

    public void setInterval(java.lang.Long interval)

  Sets the interval.

  Parameters:
    `interval` - The interval to set

### setLastValue

    public void setLastValue(java.lang.Double lastValue)

  Sets the lastValue.

  Parameters:
    `lastValue` - The lastValue to set

### setLastValueTimestamp

    public void setLastValueTimestamp(java.lang.Long lastValueTimestamp)

  Sets the lastValueTimestamp.

  Parameters:
    `lastValueTimestamp` - The lastValueTimestamp to set

### setMaxExpectedValue

    public void setMaxExpectedValue(java.lang.Double maxExpectedValue)

  Sets the maxExpectedValue.

  Parameters:
    `maxExpectedValue` - The maxExpectedValue to set

### setMeasurementId

    public void setMeasurementId(java.lang.Integer measurementId)

  Sets the measurementId.

  Parameters:
    `measurementId` - The measurementId to set

### setMinExpectedValue

    public void setMinExpectedValue(java.lang.Double minExpectedValue)

  Sets the minExpectedValue.

  Parameters:
    `minExpectedValue` - The minExpectedValue to set

### setMtime

    public void setMtime(java.lang.Long mtime)

  Sets the mtime.

  Parameters:
    `mtime` - The mtime to set

### setMeasurementTemplate

    public void setMeasurementTemplate(MeasurementTemplate mtv)

  Sets the MeasurementTemplate.

  Parameters:
    `mtv` - The MeasurementTemplate to set

### setResource

    public void setResource(AppdefResourceValue resource)

  Sets the resource.

  Parameters:
    `resource` - The resource to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.